<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- <xsl:output media-type="image/cgm" method="xml"/> -->
<!--
 This stylesheet only understands the CGMXML-V4 DTD Version 0.7 elements corresponding to the samples in  the 
 NIST/OPENCGM WebCGM Test Suite. Copyright (C) 2002, Lofton Henderson. All Rights Reserved.
 Please see accompanying license agreement 'copyright-license.html' for the full details.

 This cgmxml2ct.xslt script bears no warranty, either express or implied. Neither the US Navy nor NIST nor L. John Junod assumes legal
 liability nor responsibility for a User's use of cgmxml2ct.xslt or the results of such use.

   THIS IS NOT PRODUCTION SOFTWARE!! USE WITH EXTREME CAUTION!! IT IS MERELY A PROTOTYPE TO SHOW THAT THE webCGM TS 
   Samples encoded in CGM-XML prototype CGMXML-V4 DTD Version 0.7 CAN EASILY BE TRANSFORMED BACK TO CGM Clear Text.
   Usage for other samples may yield undesired results.
-->
	<xsl:template match="/">
		 <html>
			<head>
			<meta  http-equiv="Content-Type" content="image/cgm"/>
			</head>
			<body>
				<xsl:apply-templates/>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="CGM">BEGMF <xsl:for-each select="S">&apos;<xsl:apply-templates/>&apos;</xsl:for-each>;
			<br/>
			% Use Edit, Select-All and paste this into a document with a ".cgm" extension %<br/>
			% Then click on the new cgm document to view %<br/>
			% This Clear Text CGM is the result of stylesheet cgmcml2ct.xslt %<br/>
			% Use 'View Source' to see the XML %<br/>
			% NOTE: CHRSET01 and CHRSET02 WILL PARSE. However, to render in CGM YOU must CHANGE (''') 3' to quote'quote ("'") on the RESTRTEXT LINE %
			<xsl:apply-templates/>
			<div>ENDMF;</div>
	</xsl:template>
	<xsl:template match="S"></xsl:template>
	<xsl:template match="MFVERSION">
						<div> MFVERSION <xsl:for-each select="@version">
								<xsl:value-of select="."/>
							</xsl:for-each>; </div>					
	</xsl:template>
	<xsl:template match="MFDESC">
						<div> MFDESC <xsl:for-each select="S">&apos;<xsl:for-each select="S">&quot;<xsl:apply-templates/>&quot;,</xsl:for-each>&apos;</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="MFELEMLIST">
						<div> MFELEMLIST <xsl:for-each select="S">&apos;<xsl:apply-templates/>&apos;</xsl:for-each>;
						</div>
	</xsl:template>
	<xsl:template match="FONTLIST">
						<div>FONTLIST <xsl:for-each select="S"> &apos;<xsl:apply-templates/>&apos;</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="CHARSETLIST">
						<div>CHARSETLIST <xsl:for-each select="DESIGNATOR">&#x20;<xsl:for-each select="@charset">
									<xsl:value-of select="."/>
								</xsl:for-each>&#x20;<xsl:for-each select="@tail">&apos;<xsl:value-of select="."/>&apos;</xsl:for-each>
							</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="VDCTYPE">
						<div>VDCTYPE <xsl:for-each select="@type">
								<xsl:value-of select="."/>
							</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="COLRPREC">
						<div>COLRPREC <xsl:for-each select="@max">
								<xsl:value-of select="."/>
							</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="COLRINDEXPREC">
						<div>COLRINDEXPREC <xsl:for-each select="@max">
								<xsl:value-of select="."/>
							</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="COLRVALUEEXT">COLRVALUEEXT <xsl:for-each select="@white"> <xsl:value-of select="."/>
						</xsl:for-each>
						<xsl:for-each select="@scale1">
							<xsl:value-of select="."/>
						</xsl:for-each>&#x20;<xsl:for-each select="@black"> <xsl:value-of select="."/>
						</xsl:for-each>
						<xsl:for-each select="@offset1">
							<xsl:value-of select="."/>
						</xsl:for-each>&#x20;<xsl:for-each select="@scale2">
							<xsl:value-of select="."/>
						</xsl:for-each>&#x20;<xsl:for-each select="@offset2">
							<xsl:value-of select="."/>
						</xsl:for-each>&#x20;<xsl:for-each select="@scale3">
							<xsl:value-of select="."/>
						</xsl:for-each>&#x20;<xsl:for-each select="@offset3">
							<xsl:value-of select="."/>
						</xsl:for-each>;
	</xsl:template>
	<xsl:template match="MAXCOLRINDEX">
						<div>MAXCOLRINDEX <xsl:for-each select="@max">
								<xsl:value-of select="."/>
							</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="INTEGERPREC">
						<div>INTEGERPREC <xsl:for-each select="@min">
								<xsl:value-of select="."/>
							</xsl:for-each>&#x20;<xsl:for-each select="@max">
								<xsl:value-of select="."/>
							</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="REALPREC">
						<div>REALPREC <xsl:for-each select="@min">
								<xsl:value-of select="."/>
							</xsl:for-each>&#x20;<xsl:for-each select="@max">
								<xsl:value-of select="."/>
							</xsl:for-each>&#x20;<xsl:for-each select="@digits">
								<xsl:value-of select="."/>
							</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="CHARCODING">
						<div>CHARCODING <xsl:for-each select="@coding">
								<xsl:value-of select="."/>
							</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="MAXVDCEXT">
						<div>MAXVDCEXT <xsl:for-each select="@p1">
								<xsl:value-of select="."/>
							</xsl:for-each>&#x20;<xsl:for-each select="@p2">
								<xsl:value-of select="."/>
							</xsl:for-each>;</div>
					
	</xsl:template>
	<xsl:template match="PIC">
									<div>BEGPIC <xsl:for-each select="S">&apos;<xsl:apply-templates/>&apos;</xsl:for-each>;</div>
									<xsl:apply-templates/>
									<div>ENDPIC;</div>
	</xsl:template>
	<xsl:template match="SCALEMODE">
							<div>SCALEMODE <xsl:for-each select="@type">
									<xsl:value-of select="."/>
								</xsl:for-each>&#x20;<xsl:for-each select="@scalefactor">
									<xsl:value-of select="."/>
								</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="VDCEXT">
							<div>VDCEXT <xsl:for-each select="@p1">
									<xsl:value-of select="."/>
								</xsl:for-each>&#x20;<xsl:for-each select="@p2">
									<xsl:value-of select="."/>
								</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="COLRMODE">
							<div>COLRMODE <xsl:for-each select="@set">
									<xsl:value-of select="."/>
   					     </xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="LINEWIDTHMODE">
							<div>LINEWIDTHMODE <xsl:for-each select="@set">
									<xsl:value-of select="."/>
								</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="EDGEWIDTHMODE">
							<div>EDGEWIDTHMODE <xsl:for-each select="@set">
									<xsl:value-of select="."/>
								</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="LINEEDGETYPEDEF">
							<div>LINEEDGETYPE <xsl:for-each select="@type">
									<xsl:value-of select="."/>
								</xsl:for-each>&#x20;<xsl:for-each select="@repeatlenght">
									<xsl:value-of select="."/>
								</xsl:for-each>&#x20;<xsl:for-each select="@dashelements">
									<xsl:value-of select="."/>
								</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="PICBODY">
							<div>BEGPICBODY;<br/></div>
							<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="LINECLIPMODE">
									<div>LINECLIPMODE <xsl:for-each select="@set">
											<xsl:value-of select="."/>
										</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="MARKERCLIPMODE">
									<div>MARKERCLIPMODE <xsl:for-each select="@set">
											<xsl:value-of select="."/>
										</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="EDGECLIPMODE">
									<div>EDGECLIPMODE <xsl:for-each select="@set">
											<xsl:value-of select="."/>
										</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="CLIP">
									<div>CLIP <xsl:for-each select="@set">
											<xsl:value-of select="."/>
										</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="VDCREALPREC">
									<div>VDCREALPREC <xsl:for-each select="@min">
											<xsl:value-of select="."/>
										</xsl:for-each>&#x20;<xsl:for-each select="@max">
											<xsl:value-of select="."/>
										</xsl:for-each>&#x20;<xsl:for-each select="@digits">
											<xsl:value-of select="."/>
										</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="COLRTABLE">
									<div>COLRTABLE <xsl:for-each select="@start">
											<xsl:value-of select="."/>
										</xsl:for-each>, <xsl:for-each select="@directk">
											<xsl:value-of select="."/>
										</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="EDGEVIS">
									<div>EDGEVIS <xsl:for-each select="@set">
											<xsl:value-of select="."/>
										</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="TRANSPARENCY">
									<div>TRANSPARENCY <xsl:for-each select="@set">
											<xsl:value-of select="."/>
									</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="RESTRTEXTTYPE">
									<div>RESTRTEXTTYPE <xsl:for-each select="@type">
											<xsl:value-of select="."/>
										</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="CHARSETINDEX">
									<div>CHARSETINDEX <xsl:for-each select="@index">
											<xsl:value-of select="."/>
										</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="ALTCHARSETINDEX">
									<div>ALTCHARSETINDEX <xsl:for-each select="@index">
											<xsl:value-of select="."/>
										</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="PATTABLE">
									<div>PATTABLE <xsl:for-each select="@pat">
											<xsl:value-of select="."/>
										</xsl:for-each>&#x20;<xsl:for-each select="@nx">
											<xsl:value-of select="."/>
										</xsl:for-each>&#x20;<xsl:for-each select="@ny">
											<xsl:value-of select="."/>
										</xsl:for-each>&#x20;<xsl:for-each select="@maxint">
											<xsl:value-of select="."/>
										</xsl:for-each>&#x20;<xsl:for-each select="@maxcomponent">
											<xsl:value-of select="."/>
										</xsl:for-each>&#x20;<xsl:for-each select="@cellrow">
											<xsl:value-of select="."/>
										</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="APS">
									<div>BEGAPS <xsl:for-each select="@apsid">&apos;<xsl:value-of select="."/>&apos;</xsl:for-each>&#x20;<xsl:for-each select="@apstype">&apos;<xsl:value-of select="."/>&apos;</xsl:for-each>&#x20;<xsl:for-each select="@set">
											<xsl:value-of select="."/>
											</xsl:for-each>;</div>
									<xsl:apply-templates/>
									<div>ENDAPS;</div>
	</xsl:template>
	<xsl:template match="APSATTR">
										<div>APSATTR <xsl:for-each select="@type">&apos;<xsl:value-of select="."/>&apos;</xsl:for-each>&#x20;&quot;<xsl:for-each select="@apsnum">
												<xsl:value-of select="."/>
											</xsl:for-each>&#x20;&apos;<xsl:for-each select="@data">
												<xsl:value-of select="."/>
											</xsl:for-each>&apos;&quot;;</div>
	</xsl:template>
					<xsl:template match="APSBODY">
										<div>BEGAPSBODY;<br/></div>
										<xsl:apply-templates/>
	</xsl:template>
					<xsl:template match="APNDTEXT">
												<div>APNDTEXT <xsl:for-each select="@textpiece">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="S">&apos;<xsl:apply-templates/>&apos;</xsl:for-each>;</div>
	</xsl:template>
					<xsl:template match="ARCCTR">
												<div>ARCCTR <xsl:for-each select="@center">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@start">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@end">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@radius">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
					<xsl:template match="ARC3PT">
												<div>ARC3PT <xsl:for-each select="@p1">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@p2">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@p3">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
					<xsl:template match="CHARHEIGHT">
												<div>CHARHEIGHT <xsl:for-each select="@height">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
					<xsl:template match="CHARORI">
												<div>CHARORI <xsl:for-each select="@up">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@base">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
					<xsl:template match="CHARSPACE">
												<div>CHARSPACE <xsl:for-each select="@k">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
					<xsl:template match="CIRCLE">
												<div>CIRCLE <xsl:for-each select="@p1">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@radius">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
					<xsl:template match="EDGECOLR">
												<div>EDGECOLR <xsl:for-each select="@k">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
					<xsl:template match="EDGEJOIN">
												<div>EDGEJOIN <xsl:for-each select="@join">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
					<xsl:template match="EDGEVIS">
												<div>EDGEVIS <xsl:for-each select="@set">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
					<xsl:template match="EDGETYPE">
												<div>EDGETYPE <xsl:for-each select="@type">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
					<xsl:template match="EDGEWIDTH">
												<div>EDGEWIDTH <xsl:for-each select="@width">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
					<xsl:template match="ELLIPSE">
												<div>ELLIPSE <xsl:for-each select="@center">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@endp1">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@endp2">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
					<xsl:template match="ELLIPARC">
												<div>ELLIPARC <xsl:for-each select="@center">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@endp1">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@endp2">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@start">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@end">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="FIGURE">
												<div>BEGFIGURE;</div>
												<xsl:apply-templates/>
												<div>ENDFIGURE;</div>
	</xsl:template>
	<xsl:template match="POLYBEZIER">
													<div>POLYBEZIER <xsl:for-each select="@continuity">
															<xsl:value-of select="."/>
														</xsl:for-each>
														<xsl:for-each select="@points">
															<xsl:value-of select="."/>
														</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="FILLCOLR">
												<div>FILLCOLR <xsl:for-each select="@k">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="HATCHINDEX">
												<div>HATCHINDEX <xsl:for-each select="@index">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="INTSTYLE">
												<div>INTSTYLE <xsl:for-each select="@style">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="LINE">
												<div>LINE <xsl:for-each select="@pointlist">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="LINECAP">
												<div>LINECAP <xsl:for-each select="@linecap">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@dashcap">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="LINEJOIN">
												<div>LINEJOIN <xsl:for-each select="@join">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="LINECOLR">
												<div>LINECOLR <xsl:for-each select="@k">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="LINEWIDTH">
												<div>LINEWIDTH <xsl:for-each select="@width">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="LINETYPE">
												<div>LINETYPE <xsl:for-each select="@type">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="PATINDEX">
												<div>PATINDEX <xsl:for-each select="@index">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="PATSIZE">
												<div>PATSIZE <xsl:for-each select="@h">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@w">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="POLYBEZIER">
												<div>POLYBEZIER <xsl:for-each select="@continuity">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@points">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="POLYGON">
												<div>POLYGON <xsl:for-each select="@p1">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@p2">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@points">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="RESTRTEXT">
												<div>RESTRTEXT <xsl:for-each select="@maxwidth">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@maxheight">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@textlocation">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@textpiece">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="S">&apos;<xsl:apply-templates/>&apos;</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="TEXTALIGN">
												<div>TEXTALIGN <xsl:for-each select="@h">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@v">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@chorizontal">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@cvertical">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="TEXTCOLR">
												<div>TEXTCOLR <xsl:for-each select="@k">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="TEXTFONTINDEX">
												<div>TEXTFONTINDEX <xsl:for-each select="@font">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="TILEARRAY">
												<div>BEGTILEARRAY <xsl:for-each select="@position">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@angle1">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@angle2">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@tilesperpath">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@tilesperline">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@cellspertilepath">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@cellspertileline">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@cellspacing">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@linespacing">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@pathoffset">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@lineoffset">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@cellsperpath">
														<xsl:value-of select="."/>
													</xsl:for-each>&#x20;<xsl:for-each select="@cellsperline">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
													<xsl:apply-templates/>
													<div>ENDTILEARRAY;</div>
	</xsl:template>
	<xsl:template match="TILE">
														<div>TILE <xsl:for-each select="@type">
																<xsl:value-of select="."/>
															</xsl:for-each>&#x20;<xsl:for-each select="@rowpad">
																<xsl:value-of select="."/>
															</xsl:for-each>&#x20;<xsl:for-each select="@maxint">
																<xsl:value-of select="."/>
															</xsl:for-each>&#x20;<xsl:for-each select="@maxcomponent">
																<xsl:value-of select="."/>
															</xsl:for-each>&#x20;&apos;<xsl:for-each select="@data">
																<xsl:value-of select="."/>
															</xsl:for-each>;</div>
	</xsl:template>
	<xsl:template match="BITONALTILE">
														<div>BITONALTILE <xsl:for-each select="@type">
																<xsl:value-of select="."/>
															</xsl:for-each>&#x20;<xsl:for-each select="@rowpad">
																<xsl:value-of select="."/>
															</xsl:for-each>&#x20;<xsl:for-each select="@background">
																<xsl:value-of select="."/>
															</xsl:for-each>&#x20;<xsl:for-each select="@foreground">
																<xsl:value-of select="."/>
															</xsl:for-each>&#x20;&apos;<xsl:for-each select="@param">
																<xsl:value-of select="."/>
															</xsl:for-each>&apos;&#x20;<xsl:for-each select="@data">
																<xsl:value-of select="."/>
															</xsl:for-each>;</div>
	 </xsl:template>
	<xsl:template match="TRANSPARENCY">
												<div>TRANSPARENCY <xsl:for-each select="@set">
														<xsl:value-of select="."/>
													</xsl:for-each>;</div>
	</xsl:template>
</xsl:stylesheet>
